# -*- coding: utf-8 -*-
'''Chemical Engineering Design Library (ChEDL). Utilities for process modeling.
Copyright (C) 2016, Caleb Bell <Caleb.Andrew.Bell@gmail.com>

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.'''


from . import core
from . import hx
from . import conv_internal
from . import boiling_flow
from . import boiling_nucleic
from . import air_cooler
from . import radiation
from . import condensation
from . import conduction
from . import conv_jacket
from . import insulation
from . import conv_free_immersed
from . import conv_tube_bank
from . import conv_packed_bed
from . import conv_external
from . import conv_supercritical
from . import conv_two_phase

from .core import *
from .hx import *
from .conv_internal import *
from .boiling_flow import *
from .boiling_nucleic import *
from .air_cooler import *
from .radiation import *
from .condensation import *
from .conduction import *
from .conv_jacket import *
from .insulation import *
from .conv_free_immersed import *
from .conv_tube_bank import *
from .conv_packed_bed import *
from .conv_external import *
from .conv_supercritical import *
from .conv_two_phase import *

__all__ = ['core', 'hx', 'conv_internal', 'boiling_nucleic', 'air_cooler',
'radiation', 'condensation', 'conduction', 'conv_jacket', 'conv_free_immersed',
'conv_tube_bank', 'insulation', 'conv_packed_bed', 'conv_external', 
'conv_supercritical', 'conv_two_phase', 'boiling_flow']


__all__.extend(core.__all__)
__all__.extend(hx.__all__)
__all__.extend(conv_internal.__all__)
__all__.extend(boiling_flow.__all__)
__all__.extend(boiling_nucleic.__all__)
__all__.extend(air_cooler.__all__)
__all__.extend(radiation.__all__)
__all__.extend(condensation.__all__)
__all__.extend(conduction.__all__)
__all__.extend(conv_jacket.__all__)
__all__.extend(conv_free_immersed.__all__)
__all__.extend(conv_tube_bank.__all__)
__all__.extend(insulation.__all__)
__all__.extend(conv_packed_bed.__all__)
__all__.extend(conv_external.__all__)
__all__.extend(conv_supercritical.__all__)
__all__.extend(conv_two_phase.__all__)


__version__ = '0.1.48'

